# Interface T8PropertySet<TUnit>

Represents a property set containing properties and nested property sets. Property sets organize related properties together (e.g., material properties, geometry properties).

#### Example

    const propertySet: T8PropertySet<T8Unit> = {
        name: "Pset_WallCommon",
        properties: {
            "IsExternal": { value: true, type: "IfcBoolean" },
            "LoadBearing": { value: true, type: "IfcBoolean" }
        },
        sets: {}
    };

interface T8PropertySet<TUnit> {
name: string;
properties: Record<string, T8Property<TUnit> | T8Property<TUnit>[]>;
sets: Record<string, T8PropertySet<TUnit>>;
}

#### Type Parameters

- TUnit

  The type used to represent units of measurement

##### Index

### Properties

name
properties
sets

## Properties

### name

name: string

The name of the property set

### properties

properties: Record<string, T8Property<TUnit> | T8Property<TUnit>[]>

Collection of properties in this set. Can be a single property or an array of properties (when conflicts exist).

### sets

sets: Record<string, T8PropertySet<TUnit>>

Nested property sets contained within this set